

body{
  font-family: "Rubik", sans-serif !important;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  max-width: 100vw;
  background: #ffffff;
}

header {
  position: static !important;
}

/* Стилі для модального вікна */
/* Стилі для модального вікна */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 60px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 5% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
  box-sizing: border-box;
  overflow: hidden;
  position: relative;
}

iframe {
  width: 100%;
  height: calc((100vw - 20px) * 0.5625);
  max-height: 315px;
}


.close {
  position: absolute;
  top: 10px;
  right: 20px;
  color: #aaa;
  font-size: 30px;
  font-weight: bold;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}





.main_block .container-fluid {
  background-image: url('../img/teqshopcar.webp');
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  background-size: cover; 
  height: 84vh;
}

.container_main {
  display: flex;
  justify-content: space-around;
  height: 100%;
  align-content: flex-end;
  flex-direction: row;
  flex-wrap: wrap;

}

.container_main a{
  text-decoration: none;
}

.block h1 {
  margin: 0;
  font-size: calc(0.8rem + 1vw);
  font-weight: bold;
}

.arrow_down{
  display: none;
}

.block {
  display: flex;
  flex-direction: row;
  width: 32%;
  height: 30vh;
  padding: 30px 20px;
  background-color: rgba(255, 255, 255, 1);
  text-align: start;
  cursor: pointer;
  border-radius: 8px 8px 0px 0px;
  transition: background-color 0.3s;
  justify-content: space-between;
  align-items: center;
  align-content: flex-start;
  flex-wrap: wrap;
  color: var(--main-gray)

}
.block:hover,
 .block.active {
  background-color: var(--primary-orange);
  color: #ffffff;

}

.block:hover .arrow_down,  .block.active  .arrow_down {
  display: block;

}

.block:hover .arrow_up,  .block.active  .arrow_up {
  display: none;

}


.content_title{
  background-color: #ffffff;

}

.content {
  display: none;
}


.content_title h1{
  font-size: calc(0.5rem + 1vw);
}

.rules_block {
  background-color: var(--main-green);
  padding: 3% 2%;
}

.game-block {
  margin: 3%;
  width: 95%;
  overflow: hidden;
  border-radius: 30px 8px 0 0;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.game-body {
  position: relative;
}

.game-block a {
  text-decoration: none;
  color: var(--light-gray);
}


.game-block img {
  width: 100%;
  transition: transform 0.3s, filter 0.3s;
}

.game-block .download {
  background-color: #fff;
  padding: 10px;
  border-top: 1px solid #eee;
}
.game-block .download a {
  display: flex;
    padding: 1% 3%;
    text-decoration: none;
    color: var(--light-gray);
    font-weight: 400;
    flex-direction: row;
    justify-content: space-between;
    transition: transform 0.3s;
}

.game-block .download span {
  display: flex;
    padding: 1% 3%;
    text-decoration: none;
    color: var(--light-gray);
    font-weight: 400;
    flex-direction: row;
    justify-content: space-between;
    transition: transform 0.3s;
}

.para-block .overlay {
  background-color: #08203170 !important;
}

.game-block .overlay {
  position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(241, 87, 0, 0.4);
    opacity: 0;
    transition: opacity 0.3s;
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    padding: 6%;
}
.game-block:hover .overlay {
  opacity: 1;
}
.game-block .overlay .watch-video {
  background-color: #f15700;
    color: white;
    padding: 6px 10px 6px 10px;
    border-radius: 12px;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 10px;
    flex-direction: row;
    flex-wrap: wrap;
}

.para-block .watch-video {
  background-color: var(--main-gray) !important;
}

.game-block .overlay .watch-video svg {
  fill: white;
}

.game-block:hover img {
  transform: scale(1.01);
  filter: blur(1px);
}

.game-block:hover a {
  color: var(--main-gray);
}
